Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.temporal
Class RelativePosition

    Object
      CodeList<RelativePosition>
          RelativePosition

All Implemented Interfaces:
  Serializable, Comparable<RelativePosition>

    @UML(identifier="TM_RelativePosition",
         specification=ISO_19108)
    public final class RelativePosition

extends CodeList<RelativePosition>

Values for relative temporal position based on the 13 temporal relationships identified by Allen (1993).

See Also:
  Serialized Form
TODO:
  Need javadoc for each enumeration.

Field Summary
`static RelativePosition` | `AFTER`
`static RelativePosition` | `BEFORE`
`static RelativePosition` | `BEGINS`
`static RelativePosition` | `BEGUN_BY`
`static RelativePosition` | `CONTAINS`
`static RelativePosition` | `DURING`
`static RelativePosition` | `ENDED_BY`
`static RelativePosition` | `ENDS`
`static RelativePosition` | `EQUALS`
`static RelativePosition` | `MEETS`
`static RelativePosition` | `MET_BY`
`static RelativePosition` | `OVERLAPPED_BY`
`static RelativePosition` | `OVERLAPS`

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static RelativePosition` | `valueOf(String code)` Returns the RelativePosition that matches the given string, or returns a new one if none match it.
`static RelativePosition[]` | `values()` Returns the list of `RelativePosition`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BEFORE

    public static final RelativePosition BEFORE

### AFTER

    public static final RelativePosition AFTER

### BEGINS

    public static final RelativePosition BEGINS

### ENDS

    public static final RelativePosition ENDS

### DURING

    public static final RelativePosition DURING

### EQUALS

    public static final RelativePosition EQUALS

### CONTAINS

    public static final RelativePosition CONTAINS

### OVERLAPS

    public static final RelativePosition OVERLAPS

### MEETS

    public static final RelativePosition MEETS

### OVERLAPPED_BY

    public static final RelativePosition OVERLAPPED_BY

### MET_BY

    public static final RelativePosition MET_BY

### BEGUN_BY

    public static final RelativePosition BEGUN_BY

### ENDED_BY

    public static final RelativePosition ENDED_BY

Method Detail

### values

    public static RelativePosition[] values()

  Returns the list of `RelativePosition`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<RelativePosition>`

### valueOf

    public static RelativePosition valueOf(String code)

  Returns the RelativePosition that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.